class CreateIdCardFieldExceptionItems < ActiveRecord::Migration[7.2]
  def change
    create_table :id_card_field_exception_items do |t|
      t.string :field_name
      t.string :field_value
      t.belongs_to :field_exception, null: false, foreign_key: { to_table: :id_card_field_exceptions }
      t.belongs_to :network_logo, null: true, foreign_key: { to_table: :id_card_network_logos }
      t.belongs_to :provider_section, null: true, foreign_key: { to_table: :id_card_provider_sections }

      t.timestamps
    end
  end
end
